:root {    
	--background-color: #8e6b10;
}

* {
    -webkit-tap-highlight-color: rgba(0,0,0,0); /* make transparent link selection, adjust last value opacity 0 to 1.0 */
}

body {
    -webkit-touch-callout: none;                /* prevent callout to copy image, etc when tap to hold */
    -webkit-text-size-adjust: none;             /* prevent webkit from resizing text to fit */
    -webkit-user-select: none;                  /* prevent copy paste, to allow, change 'none' to 'text' */
    background-color:var(--background-color);
    background-image:url(../img/background2.jpg);
    background-size:100% 100%;
    font-family: 'Muli', 'Roboto', sans-serif;
    font-size:12px;
    height:100vh;
    margin:0px;
    padding:0px;
    /* Padding to avoid the "unsafe" areas behind notches in the screen */
    padding: env(safe-area-inset-top, 0px) env(safe-area-inset-right, 0px) env(safe-area-inset-bottom, 0px) env(safe-area-inset-right, 0px);
    width:100%;
}

.login {
	margin:0px auto;

	width:80%;
	max-width:300px;
	color:rgba(255,255,255,0.8);
	text-align:center;	
}

.login a {color:#fff}

.login input {
	margin-bottom:15px;	
}

.login img {
	display:block;
	margin:0px auto 20px;
	max-width:100%;	
}



h1 {
    font-size:24px;
    font-weight:300;
    margin:0px;
    overflow:visible;
    padding:0px;
    text-align:center;
}

h1 span {
	font-size:0.8em;	
}

#main_content,#secondary_content {
	color:#fff;
	padding:50px 10px 70px;	
	transition:all ease 0.5s;
	width: 100%;
    position: fixed;
    max-height: 100vh;
    overflow-y: scroll;
    top:0px;
}

#main_content {
	left:0%;	
}

#secondary_content {
	left:100%;
		
}
#secondary_content.shown {
	left:0%;	
}
#main_content.hide {
	left:-100%;	
}

header {
	position:fixed;
	top:0px;
	width:100%;
	z-Index:100;
	background:#000;
	padding:5px 0;	
	width:100%;
}

header.active {
	
	color:#fff;	
	background-image:url(/assets/img/lela_logo_white_300.png);
	background-position:center;
	background-size: auto 90%;
	background-repeat: no-repeat;
	height:40px;
}

header #menu_bar,header #left_arrow, #menu_bar_close {
    color: #fff;
    margin:5px 10px;
    width: 30px;
    height: 30px;
    cursor:pointer;
}

header #menu_bar {
    position: absolute;
    right: 20px;
    top: 0px;
}

header #left_arrow {
    position: absolute;
    left: 20px;
    top: 0px;
    display:none;
}

#menu_bar_close {
    color: #fff;
    margin: 12px;
    width: 30px;
    height: 30px;
}

#menu {
    position: fixed;
    top: 0px;
    right: -100%;
    width: 75%;
    transition: all 0.5s ease;
    opacity: 0;
    color: #fff;
    background: rgba(0, 0, 0, 0.9);
    height: 100%;
    z-index: 2;
}

#menu.visible {
    right: 0%;
    opacity: 1;
}

#menu i {width:25px}

#menu_cover {
	position: fixed;
    top: 0px;
    right: -100%;
    width: 25%;
    height: 100%;
}

#menu_cover.visible {
	right:75%;	
}

#menu div {
    padding: 15px 20px;
    border-bottom: 1px solid #333;
    font-size: 14px;
}

#toast {
    position: fixed;
    top: -20px;
    z-index: 20;
    background: #000;
    color: #fff;
    width: 80%;
    padding: 10px 15px;
    margin: auto 10%;
    display: none;
    border-radius: 10px;
    box-sizing: border-box;
    font-size: 1em;
    transition: top 0.5s ease;
    opacity: 0.9;
}

#toast.visible {
    top: 60px;
}

#main_content .card {
	color:#000;
	margin:10px 0px;  	
}

label {
    display: inline-block;
    width: 100%;
    text-align: left;
    margin-top: 5px;
    margin-bottom: 0px;

}

.pull-right {float:right}

.full-width {width:100%}

.btn-small {
    font-size: 0.9em;
}

.role_selector {
    padding: 20px;
    font-size: 2em;
    border: 1px solid #fff;
    text-align: center;
    margin-top:30px;
    background:rgba(0,0,0,0.1)
}
.role_selector i {margin-right:20px}
.role_selector button {margin-top:10px}
.role_selector p {margin-top:20px;font-size:14px}


#waiting_mask {
    position: fixed;
    top: 0px;
    left: 0px;
    z-Index: 100;
    width: 100%;
    height: 100vh;
    background-color: rgba(255, 255, 255, 0.5);
    background-image:url(ajax-loader.gif);
    background-position:center;
    background-repeat:no-repeat;
    display:none;
}

input[type="checkbox"] {
	width:20px;
	height:20px;
}





















#barcode.btn-warning:focus:hover {
	background-color:#00ff00;
}
#barcode.btn-warning:not(:disabled):not(.disabled):active:focus, .btn-warning:not(:disabled):not(.disabled).active:focus, .show > .btn-warning.dropdown-toggle:focus {
    box-shadow: 0 0 0 0.2rem rgba(15, 222, 12, 0.5);
}
#barcode.btn-warning:not(:disabled):not(.disabled):active, .btn-warning:not(:disabled):not(.disabled).active, .show > .btn-warning.dropdown-toggle {
    border-color: #18ad2a;
}


footer {
    position: fixed;
    bottom: 0px;
    width: 100%;
    height: 60px;
    background: #000000;
    border-top: 1px solid #000000;
    z-index: 1;
    font-size: 12px;
}

footer.ios {
	bottom: 20px;
}

#ios_footer {
	background-color: var(--header-bg-color);	
	position: fixed;
    bottom: 0px;
    width: 100%;
    height:20px;
}

footer .container {
	padding-left:0px;
	padding-right:0px;	
}

footer .container .row .col
 {
    text-align: center;
    padding: 9px 0;
    transition: all 0.3s ease;
    color: #fff;
    background: #4d4d4d;
    border-right:1px solid #000;
    cursor:pointer;
}

footer .container .row .col i {
    font-size: 16px;
    display: block;
    margin: 4px auto;
    color: var(--header-bg-color);
}

footer .container .row .col.selected {
    background: var(--header-bg-color);
    color: #fff;
}

footer .container .row .col.selected i {
    color: #fff;
}




